Installing software on a running system, either as binaries or from source

learn more… | top users | synonyms

1
vote
2answers
39 views

Installing Matlab from an ISO image

I was trying to install Matlab, and used the following commands: # mkdir -p /mnt/disk # mount -o loop R2014a_UNIX.iso /mnt/disk # cd /mnt/disk # ls -l # ./install However, I don't want it in a ...
1
vote
0answers
8 views

Installing netcdf libraries - processor not allowed error

I'm trying to install netcdf libraries (v3.6.3), as I need them to be compiled with mcmodel=large to allow a simulation to run (the simulation uses ifort, and currently gives 'relocation truncated to ...
0
votes
0answers
18 views

What is the System product name? [on hold]

I wanted to install nvidia-prime from a terminal with this code: sudo apt-get install nvidia-prime It started to install but suddenly stopped and asked me to enter the system product name. I ...
1
vote
2answers
59 views

Installing a bz2 file

Coming from a windows platform I am a bit confused over how compressed files are installed in Linux . I am using fedora 20. Now I downloaded FoxIt pdf reader from here. I also read this post which ...
1
vote
1answer
27 views

“mkdir: cannot create directory ‘/opt/anaconda’:Permission denied”

I just installed Ubuntu. I downloaded the anaconda python package and am trying to install it, bash Anaconda-2.1.0-Linux-x86_64.sh at some point the terminal says: Anaconda will now be installed ...
0
votes
0answers
42 views

Have I installed a package successfully from source?

I try to install the latest stable psensor version (psensor-1.0.4) from source on ubuntu 12.04. After running ./configure, make and either make install or checkinstall, there is no command psensor. ...
1
vote
1answer
28 views

How do I install phpMyAdmin on Fedora 20 using the remi repository?

I needed to install LAMP on my Fedora 20 32-bit. Everything was fine until I had to install phpMyAdmin. This is basically the same question as this question: install phpmyadmin in fedora 20 - ...
0
votes
1answer
38 views

Installing oh-my-zsh without git

How can I install oh-my-zsh from master on the machine behind firewall and without git and internet access?
3
votes
2answers
66 views

How to install clang on Red Hat Linux?

In my current computer science class we are programming in C. When I ssh into my school servers running Red Hat Linux, the compiler and debugger are outdated compared to my Mac's (for example, clang ...
0
votes
1answer
33 views

how to install turnserver on centos 6.5 32bit

I get the following error while turnserver on centos 6.5 32bit. How can I solve it? [root@d turnserver-3.2.2.1]# ./install.sh libc.so.6()(64bit) is needed by libevent-2.0.21-2.el6.x86_64 annot add ...
2
votes
2answers
79 views

How do I install this script as root in terminal: ./qt-opensource-linux-x64-5.3.2.run?

I need to install qt5 on my system and I can only run it as the normal user. When I try to run it as the "super user" I get this error: root ~ # ./qt-opensource-linux-x64-5.3.2.run No protocol ...
0
votes
1answer
59 views

Applying patch for bash failing

The bash shell in my production box is vulnerable to 'bashbug' vulnerability. https://securityblog.redhat.com/2014/09/24/bash-specially-crafted-environment-variables-code-injection-attack/ The ...
0
votes
2answers
30 views

Installing Jekyll on Elementary OS using gem

When I try to install Jekyll on Elementary OS Luna with the command sudo gem install jekyll --no-rdoc --no-ri I get the following error. -- rbconfig (LoadError) from ...
1
vote
1answer
43 views

How to install PySide package for CentOS 7

I'm trying to install PySide on CentOS 7. Seems pretty straightforward, enable EPEL repo, and install. Except that EPEL doesn't seem to contain a PySide package (yum install python-pyside fails with ...
0
votes
1answer
15 views

Install manpage of jdk?

I followed this link to install jdk1.7.0. But when I man javac, there is no manpage for that. (Note: Before the installation, man javac gives the manpage for gij.) $ man javac man: can't resolve ...
-4
votes
1answer
38 views

bash export hangs indefinitely? [closed]

I am attempting to run a command that someone in IRC gave me to install firefox, but it hangs indefinitely. echo "install firefox" && export PS1= Does anyone know how to make this command ...
3
votes
2answers
46 views

Is there a supposed way of installing several versions of a program on linux?

I'm trying to install php-5.3 on arch linux, but bison is too new, so I built older version of bison from sources. And it appears it installs itself into /usr/local by default. (Is this some kind of ...
0
votes
1answer
42 views

Uninstall application under /opt?

I have uninstalled acroread 9.5.5-1precise1 in software center, but those under /opt/Adobe/Reader9 seem intact: /opt/Adobe/Reader9$ ls * bin: acroread Browser: HowTo install_browser_plugin ...
1
vote
1answer
21 views

Installing plugin to application running on Linux SUSE

I have an application running on a SUSE Linux Enterprise Server 11. A plugin is available which is installed by running an installation program (which unpacks, creates directories and registry entries ...
2
votes
3answers
172 views

Install from a deb file, by dpkg -i or by apt?

I have a deb package for installation. Shall I install by dpkg -i my.deb, or by apt? Will both handle the software dependency problem well? If by apt, how can I install from the deb by apt?
0
votes
3answers
41 views

Possible to know how much space and time the installation of some application from source takes?

I am installing wine 1.6.2 on Ubuntu 12.04 by compiling the source, since I can't find a binary from a ppa. But as I am now compiling the source in /tmp, the free space of my / has dropped to 70Mb. ...
0
votes
1answer
17 views

Remove the old installed version of an application when installing a new version from source?

I am installing a newer version of Wine by compiling from source, and then will use checkinstall to create a deb package, and then install it from the deb file by dpkg. At the same time I would like ...
1
vote
1answer
42 views

exec -t is invalid

I made an rpm that installs a .run file and whenever I run the rpm and the rpm tries to execute the .run file I keep getting the error that exec -t is an invalid option at the following lines of code ...
1
vote
2answers
41 views

Installing programs on a flash drive so that they can be executed in place

When reading answers to this post, I wonder if we can make the programs we often used on our computers portable (in the Windows sense), so that we can make a copy of them on our flash drive, so that ...
-2
votes
0answers
27 views

Can someone explain why I have to use Kubuntu backports?

I'm trying to install the latest Okular on my Ubuntu 12.04. But the okular site, https://okular.kde.org/download.php, seems only have binary installation downloads. Why does it not offer source ...
0
votes
0answers
15 views

Makeself --notemp clean up

I am using makeself to have a self extracting installer package, on the target system I have a /tmp directory that is set to noexec. Thus, I am trying to figure out a way to use makeself without ...
2
votes
1answer
50 views

Installing rsyslog from source - No package 'liblogging-stdlog' found

I asked this over in AskUbuntu but have had no luck with an answer. I am doing experiments with different logging systems. At the moment I am trying to install rsyslog from source so I can make some ...
0
votes
1answer
23 views

Shall I keep the deb file created by checkinstall after I install from the deb file?

I have an old version emacs on my Ubuntu 12.04. I built the latest emacs from its source, and used checkinstall to create a deb package, and installed emacs from the deb file. Will it be good to keep ...
0
votes
1answer
38 views

how to tell checkinstall only create package file, but not install?

How can I tell checkinstall only create deb package file, but not install? with checkinstall --install=no, it fails at the end, for not having permission to do something. Does it really need root ...
2
votes
1answer
28 views

Are there methods or compatibility libraries to run .deb applications on Puppy linux (where where no app source is provided)?

I run Puppy Linux (Puppeee to be precise) on my old x86 netbook and I love it: It's breathed new life into my netbook and made it suitable as a low(ish)-power home server. However, some cloud and ...
0
votes
0answers
31 views

Permission denied tmp dir on STIG RHEL

I am writing a program for a DISA STIG version of Red Hat Linux 6.5. I wrote a shell script to do self extracting on the program and when it self extracts put temporary files in the tmp directory that ...
0
votes
1answer
77 views

How to install Binwalk on Debian without installing the graphs libraries?

What is the proper way to install the Binwalk tool on Debian 7.0 without the added graphing capabilities (and it dependencies)? I've read that I can skip the make deps command, but this deps.sh script ...
0
votes
0answers
28 views

Installing netbeans on Scientific Linux- NoClassDefFoundError thrown from the UncaughtExceptionHandler in thread “main”

I'm installing netbeans 8.0.1 on Scientific Linux. I have executed the installer .sh but I get the error: java.lang.NoClassDefFoundError thrown from the UncaughtExceptionHandler in thread "main" ...
1
vote
2answers
28 views

Does installing a .deb or .rpm package always add a repository to one's system?

Installing Google's .deb or .rpm Chrome package adds the Google repository to one's system for automatic updates. Does installing a .deb or .rpm package always add a repository to one's system? If ...
1
vote
0answers
33 views

How to install clang?

I have downloaded the "Clang for x86_64 OpenSUSE 13.1" (I am on Scientific Linux) pre-built binary from here: http://llvm.org/releases/download.html (Should I have got the Fedora one??) and I ...
1
vote
0answers
35 views

Setting XDG_DATA_HOME and XDG_CONFIG_HOME on compile/per program

The goal is to have a -dev version and a stable repository-based version installed at the same time, but with different data and config directories so that the dev version is not operating on(and ...
0
votes
1answer
445 views

Unable to install ATI Catalyst drivers under CentOS 7

I'm getting an error running ./amd-driver-installer-14.20-x86.x86_64.run # ./amd-driver-installer-14.20-x86.x86_64.run Created directory fglrx-install.xjgOcJ Verifying archive integrity... All good. ...
4
votes
1answer
68 views

Replace FreeBSD base clang with ports clang

FreeBSD 10 was the first release that officially released with Clang as the default, base compiler. Most ports, unless specially marked, now compile using the base ("pre-installed") clang. ...
0
votes
1answer
24 views

Uninstall nspr in linux

I installed nspr by first downloading its tar.gz file, unzipped the file and finally by writing sudo ./configure I want to un-install it now. How can I do it ?
1
vote
2answers
302 views

Cannot succesfully run apt-get -f install

I am working on a Ubuntu Ubuntu 12.04.2 LTS (GNU/Linux 3.5.0-43-generic x86_64) machine. There are some packages that I need to install, and in order to be able to that, first I have to run apt-get ...
1
vote
2answers
115 views

“ImportError: libssl.so.1.0.0: cannot open shared object file: No such file or directory” during Bitmask installation

I am trying to install Bitmask on my system(Fedora 20) to get the riseup VPN running. Running ./bitmask after unpacking the tarball gives the following output: Bitmask-linux64-0.6.1-4]# ./bitmask No ...
0
votes
1answer
64 views

“tar (child): Cannot connect to https: resolve failed” when installing Bitmask

I am trying to install Bitmask on my system to get the riseup VPN running(https://help.riseup.net/en/vpn/how-to/linux), but as you can see, there are no packages for Fedora. I tried the compressed ...
0
votes
1answer
126 views

Unmet dependencies using apt-get on Ubuntu

I am working on a Ubuntu 12.04.2 LTS (GNU/Linux 3.5.0-43-generic x86_64) machine. It is a server running in production environment with other projects so I have to be quite careful. I have to install ...
0
votes
2answers
222 views

How to download & install “heidisql” on linux?

First time I am starting working on "heidisql". I want to download & install "heidisql" on Linux Mint. May anybody please provide me the link to download "heidisql" for Linux version & how to ...
0
votes
1answer
106 views

Install of pycrypto [Errno 28] No space left on device

I am installing this tool to Debian GNU/Linux 7.5 x64 (wheezy) and when I run install_mnemosyne.sh I get this error when the pycrypto installation is running: Downloading/unpacking pycrypto (from ...
0
votes
0answers
490 views

cuda - gzip: stdin: invalid compressed data--format violated

I downloaded cuda toolkit from here! I'm running on 32-bit Linux(Mint 17). I had to download .run file(the downloaded file name is ...
1
vote
2answers
296 views

Installing R 3.1.1 (programming language) on debian wheezy

I want to learn and use R, and so I need to install it. Unfortunately, Wheezy got only 2.15 version, while I need 3.1.1. I followed these instructions: http://cran.r-project.org/bin/linux/debian/ and ...
0
votes
1answer
180 views

Can't install “libdvdcss” with yum anymore after update on “Fedora 20 Heisenburg”

I couldn't update my system today, because of dependency problems with libdvdcss, I removed libdvdcss and it's dependency libdvdcss2. Update was successfull after that but now I can't install ...
1
vote
1answer
660 views

Error while loading shared libraries: libdl.so.2 (and others), no such file. Libraries exist

Attempting to install a Java application from a .bin file. When opening the installer from command line, I see these errors: [boxen]# ./ZendStudio-5_2_0.bin Preparing to install... Extracting the ...
0
votes
0answers
76 views

Install vlc 2.1.X on Linux Mint

I am trying to install new version of vlc on Linux Mint 16. I have tried tutorials on how to do it and no success. When I am trying to install it with apt-get install vlc I get the same version 2.0.8. ...